curl --request POST \
--url https://api.firecrawl.dev/v2/monitor \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"goal": "Notify me when docs pages add, remove, or materially change API behavior",
"name": "Docs monitor",
"schedule": {
"cron": "7-59/15 * * * *",
"timezone": "UTC"
},
"targets": [
{
"crawlOptions": {
"limit": 100
},
"type": "crawl",
"url": "https://example.com/docs"
}
],
"webhook": {
"events": [
"monitor.page",
"monitor.check.completed"
],
"url": "https://example.com/webhooks/firecrawl"
}
}
'{
"data": {
"createdAt": "2023-11-07T05:31:56Z",
"currentCheckId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"estimatedCreditsPerMonth": 123,
"goal": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"judgeEnabled": true,
"lastCheckSummary": {
"changed": 123,
"error": 123,
"new": 123,
"removed": 123,
"same": 123,
"totalPages": 123
},
"lastRunAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"nextRunAt": "2023-11-07T05:31:56Z",
"notification": {
"email": {
"enabled": false,
"includeDiffs": false,
"recipients": [
"jsmith@example.com"
]
}
},
"retentionDays": 123,
"schedule": {
"cron": "<string>",
"timezone": "<string>"
},
"targets": [
{
"urls": [
"<string>"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scrapeOptions": {
"actions": [
{
"milliseconds": 2
}
],
"blockAds": true,
"excludeTags": [
"<string>"
],
"formats": [
"markdown"
],
"headers": {},
"includeTags": [
"<string>"
],
"location": {
"country": "US",
"languages": [
"en-US"
]
},
"lockdown": false,
"maxAge": 172800000,
"minAge": 123,
"mobile": false,
"onlyCleanContent": false,
"onlyMainContent": true,
"parsers": [
"pdf"
],
"profile": {
"name": "<string>",
"saveChanges": true
},
"proxy": "auto",
"removeBase64Images": true,
"skipTlsVerification": true,
"storeInCache": true,
"timeout": 60000,
"waitFor": 0
}
}
],
"updatedAt": "2023-11-07T05:31:56Z",
"webhook": {
"url": "<string>",
"events": [],
"headers": {},
"metadata": {}
}
},
"success": true
}监控端点
创建监控
POST
/
monitor
curl --request POST \
--url https://api.firecrawl.dev/v2/monitor \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"goal": "Notify me when docs pages add, remove, or materially change API behavior",
"name": "Docs monitor",
"schedule": {
"cron": "7-59/15 * * * *",
"timezone": "UTC"
},
"targets": [
{
"crawlOptions": {
"limit": 100
},
"type": "crawl",
"url": "https://example.com/docs"
}
],
"webhook": {
"events": [
"monitor.page",
"monitor.check.completed"
],
"url": "https://example.com/webhooks/firecrawl"
}
}
'{
"data": {
"createdAt": "2023-11-07T05:31:56Z",
"currentCheckId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"estimatedCreditsPerMonth": 123,
"goal": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"judgeEnabled": true,
"lastCheckSummary": {
"changed": 123,
"error": 123,
"new": 123,
"removed": 123,
"same": 123,
"totalPages": 123
},
"lastRunAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"nextRunAt": "2023-11-07T05:31:56Z",
"notification": {
"email": {
"enabled": false,
"includeDiffs": false,
"recipients": [
"jsmith@example.com"
]
}
},
"retentionDays": 123,
"schedule": {
"cron": "<string>",
"timezone": "<string>"
},
"targets": [
{
"urls": [
"<string>"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scrapeOptions": {
"actions": [
{
"milliseconds": 2
}
],
"blockAds": true,
"excludeTags": [
"<string>"
],
"formats": [
"markdown"
],
"headers": {},
"includeTags": [
"<string>"
],
"location": {
"country": "US",
"languages": [
"en-US"
]
},
"lockdown": false,
"maxAge": 172800000,
"minAge": 123,
"mobile": false,
"onlyCleanContent": false,
"onlyMainContent": true,
"parsers": [
"pdf"
],
"profile": {
"name": "<string>",
"saveChanges": true
},
"proxy": "auto",
"removeBase64Images": true,
"skipTlsVerification": true,
"storeInCache": true,
"timeout": 60000,
"waitFor": 0
}
}
],
"updatedAt": "2023-11-07T05:31:56Z",
"webhook": {
"url": "<string>",
"events": [],
"headers": {},
"metadata": {}
}
},
"success": true
}Documentation Index
Fetch the complete documentation index at: https://docs.firecrawl.dev/llms.txt
Use this file to discover all available pages before exploring further.
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
Maximum string length:
256监控检查的调度计划。请提供 cron 或 text 其中之一。
Show child attributes
Show child attributes
Required array length:
1 - 50 elements- Scrape target
- Crawl target
Show child attributes
Show child attributes
用于判断页面变更是否有意义的自然语言目标。若提供该项且省略 judgeEnabled,则会自动启用判断。
Maximum string length:
2000是否根据 goal 判断已变更页面。运行时需要提供非空的 goal。
Show child attributes
Show child attributes
必填范围:
1 <= x <= 365用于接收监控页面事件和检查完成事件的 Webhook 目标地址。
Show child attributes
Show child attributes
⌘I

